org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketClientHandler

- java.lang.Object
- - WebSocketClientProtocolHandler
  - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketClientHandler

-     public final class WebSocketClientHandler
      extends WebSocketClientProtocolHandler

  Wrapper over `WebSocketClientProtocolHandler`. This wrapper provides a future which represents the termination of a WS handshake (both success and failure).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WebSocketClientHandler.InterceptedWebSocketClientHandshaker13` Extension to the Netty implementation that allows for the `WebSocketClientHandler.InterceptedWebSocketClientHandshaker13.newHandshakeRequest()` to be modified by way of a `HandshakeInterceptor` that is supplied to the `Cluster` when it is created.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketClientHandler(WebSocketClientHandshaker handshaker, long timeoutMillis)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelInactive(ChannelHandlerContext ctx)`
    `void` | `exceptionCaught(ChannelHandlerContext ctx, Throwable cause)`
    `void` | `handlerAdded(ChannelHandlerContext ctx)`
    `ChannelFuture` | `handshakeFuture()`
    `void` | `userEventTriggered(ChannelHandlerContext ctx, Object event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketClientHandler

          public WebSocketClientHandler(WebSocketClientHandshaker handshaker,
                                        long timeoutMillis)

  - ### Method Detail

    - #### handshakeFuture

          public ChannelFuture handshakeFuture()

    - #### handlerAdded

          public void handlerAdded(ChannelHandlerContext ctx)

    - #### exceptionCaught

          public void exceptionCaught(ChannelHandlerContext ctx,
                                      Throwable cause)
                               throws Exception

      Throws:
        `Exception`

    - #### channelInactive

          public void channelInactive(ChannelHandlerContext ctx)
                               throws Exception

      Throws:
        `Exception`

    - #### userEventTriggered

          public void userEventTriggered(ChannelHandlerContext ctx,
                                         Object event)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.